package domain


type AlibabaWdkAxStoreCreateApiResult struct {
    /*
        返回对象     */
    Model  *bool `json:"model,omitempty" `

    /*
        调用接口返回错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        调用接口返回错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        调用接口返回成功失败     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkAxStoreCreateApiResult) SetModel(v bool) *AlibabaWdkAxStoreCreateApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkAxStoreCreateApiResult) SetErrCode(v string) *AlibabaWdkAxStoreCreateApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkAxStoreCreateApiResult) SetErrMsg(v string) *AlibabaWdkAxStoreCreateApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkAxStoreCreateApiResult) SetSuccess(v bool) *AlibabaWdkAxStoreCreateApiResult {
    s.Success = &v
    return s
}
